Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joseki.server.processors
Class ProcessorCom

    java.lang.Object
      org.joseki.server.processors.ProcessorCom

All Implemented Interfaces:
  Loadable, Processor

Direct Known Subclasses:
  OneArgProcessor, ZeroArgProcessor

public abstract class ProcessorCom
extends java.lang.Object
implements Processor, Loadable

General template

Version:
  $Id: ProcessorCom.java,v 1.5 2004/04/30 14:13:11 andy_seaborne Exp $
Author:
  Andy Seaborne

Field Summary

Fields inherited from interface org.joseki.server.Processor
`ARGS_ONE, ARGS_ZERO, ARGS_ZERO_OR_ONE`

Constructor Summary
`ProcessorCom(java.lang.String n, int lockNeeded, int mutating)`

Method Summary
`void` | `init(com.hp.hpl.jena.rdf.model.Resource processor, com.hp.hpl.jena.rdf.model.Resource implementation)` Allow an implementation to initialise, based on configuration file

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.joseki.server.Processor
`argsNeeded, exec`

Methods inherited from interface org.joseki.server.module.Loadable
`getInterfaceURI`

Constructor Detail

### ProcessorCom

    public ProcessorCom(java.lang.String n,
                        int lockNeeded,
                        int mutating)

Method Detail

### init

    public void init(com.hp.hpl.jena.rdf.model.Resource processor,
                     com.hp.hpl.jena.rdf.model.Resource implementation)

  Description copied from interface: `Loadable`
  Allow an implementation to initialise, based on configuration file

  Specified by:
    `init` in interface `Loadable`
  See Also:
    `Loadable.init(Resource, Resource)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Hewlett-Packard. All Rights Reserved.